Home
Home
  1. Submissions
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Submissions

Get submission checks

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{submission_id}/checks
Fetch all the checks that were run on a processed submission and their outcomes. Checks are configured based on the requirements shared with Niva.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions//checks' \
--header 'apiKey: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
[
    {
        "name": "legal_existence",
        "outcome": "pending",
        "message": "The uploaded Acta Constitutiva and Acta Asamblea are valid and associated with Acme S.A. de C.V.,"
    }
]
Previous
Run business verification
Next
Delete submission